apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ template "goatcounter.fullname" . }}
  labels:
    {{- include "goatcounter.labels" . | nindent 4 }}
data:
  {{- if eq .Values.settings.database.type "postgresql" }}
  GOATCOUNTER_DB: {{ .Values.settings.database.type | toString | quote }}
  PGHOST: {{ .Values.settings.database.host | toString | quote }}
  PGDATABASE: {{ .Values.settings.database.name | toString | quote }}
  {{- if not .Values.settings.database.existingSecret.enabled }}
  PGUSER: {{ .Values.settings.database.username | toString | quote }}
  {{ end }}
  {{ else }}
  GOATCOUNTER_DB: {{ printf "sqlite+%s"  .Values.settings.database.path | toString | quote }}
  {{ end }}
